## org.apache.tools.ant.types
Class FilterChain

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.types.DataType
              org.apache.tools.ant.types.FilterChain

All Implemented Interfaces:
  java.lang.Cloneable

public final class FilterChain
extends DataType
implements java.lang.Cloneable

FilterChain may contain a chained set of filter readers.

Author:
  Magesh Umasankar

Field Summary

Fields inherited from class org.apache.tools.ant.types.DataType
`checked, description, ref`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`FilterChain()`

Method Summary
`void` `addClassConstants(ClassConstants classConstants)`
`void` `addExpandProperties(ExpandProperties expandProperties)`
`void` `addFilterReader(AntFilterReader filterReader)`
`void` `addHeadFilter(HeadFilter headFilter)`
`void` `addLineContains(LineContains lineContains)`
`void` `addLineContainsRegExp(LineContainsRegExp lineContainsRegExp)`
`void` `addPrefixLines(PrefixLines prefixLines)`
`void` `addReplaceTokens(ReplaceTokens replaceTokens)`
`void` `addStripJavaComments(StripJavaComments stripJavaComments)`
`void` `addStripLineBreaks(StripLineBreaks stripLineBreaks)`
`void` `addStripLineComments(StripLineComments stripLineComments)`
`void` `addTabsToSpaces(TabsToSpaces tabsToSpaces)`
`void` `addTailFilter(TailFilter tailFilter)`
`java.util.Vector` `getFilterReaders()`
`void` `setRefid(Reference r)` Makes this instance in effect a reference to another FilterChain instance.

Methods inherited from class org.apache.tools.ant.types.DataType
`circularReference, dieOnCircularReference, getCheckedRef, getDescription, isReference, noChildrenAllowed, setDescription, tooManyAttributes`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, log, log, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FilterChain

    public FilterChain()

Method Detail

### addFilterReader

    public final void addFilterReader(AntFilterReader filterReader)

### getFilterReaders

    public final java.util.Vector getFilterReaders()

### addClassConstants

    public final void addClassConstants(ClassConstants classConstants)

### addExpandProperties

    public final void addExpandProperties(ExpandProperties expandProperties)

### addHeadFilter

    public final void addHeadFilter(HeadFilter headFilter)

### addLineContains

    public final void addLineContains(LineContains lineContains)

### addLineContainsRegExp

    public final void addLineContainsRegExp(LineContainsRegExp lineContainsRegExp)

### addPrefixLines

    public final void addPrefixLines(PrefixLines prefixLines)

### addReplaceTokens

    public final void addReplaceTokens(ReplaceTokens replaceTokens)

### addStripJavaComments

    public final void addStripJavaComments(StripJavaComments stripJavaComments)

### addStripLineBreaks

    public final void addStripLineBreaks(StripLineBreaks stripLineBreaks)

### addStripLineComments

    public final void addStripLineComments(StripLineComments stripLineComments)

### addTabsToSpaces

    public final void addTabsToSpaces(TabsToSpaces tabsToSpaces)

### addTailFilter

    public final void addTailFilter(TailFilter tailFilter)

### setRefid

    public void setRefid(Reference r)
                  throws BuildException

  Makes this instance in effect a reference to another FilterChain instance.

  You must not set another attribute or nest elements inside this element if you make it a reference.

  Overrides:
    `setRefid` in class `DataType`
  Parameters:
    `r` - the reference to which this instance is associated
  Throws:
    `BuildException` - if this instance already has been configured.

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.